### Method

# GimpUi ChainButton set_active

#### Declaration [src]

    void
    gimp_chain_button_set_active (
      GimpChainButton* button,
      gboolean active
    )

#### Description [src]

Sets the state of the `GimpChainButton` to be either locked (`TRUE`) or unlocked (`FALSE`) and changes the showed pixmap to reflect the new state.

Sets property | `GimpUi.ChainButton:active`

#### Parameters

`active` | `gboolean`
| The new state.